Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2020376 - winexe core dumps
Summary: winexe core dumps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 35
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-04 17:10 UTC by Henrique Martins
Modified: 2021-11-19 01:14 UTC (History)
12 users (show)

Fixed In Version: samba-4.15.2-2.fc36 samba-4.15.2-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-11 19:41:52 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
gdb backtrace (deleted)
2021-11-04 17:10 UTC, Henrique Martins
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Samba Project 14893 0 None None None 2021-11-04 21:25:46 UTC

Description Henrique Martins 2021-11-04 17:10:23 UTC
Created attachment 1839899 [details]
gdb backtrace

Description of problem:
winexe core dumps

Version-Release number of selected component (if applicable):
samba-winexe-4.15.0-13.fc35.x86_64

How reproducible:
Always

Steps to Reproduce:
1. winexe //host cmd.exe

Actual results:
PANIC (pid 18263): Signal 11: Segmentation fault in 4.15.0

Expected results:
Running winexe (I do have an old copy I compiled myself long ago that sill works, otherwise this would be painful)

Additional info:
I'll attach gdb's backtrace, though most everything is optimized out.

Comment 1 Henrique Martins 2021-11-04 17:15:03 UTC
Component selection pull down sucks, incredibly slow, very easy to select the wrong thing.
Component is samba, subcomponent samba-winexe

Comment 2 Guenther Deschner 2021-11-04 20:37:29 UTC
I can reproduce this, working on a fix right now...

Comment 3 Henrique Martins 2021-11-05 12:26:54 UTC
Now wondering how this ever made it into the depots.
Is it an automatic build no one actually checks?
Can't find any builds on koji either.

Comment 4 Henrique Martins 2021-11-05 12:28:23 UTC
It's part of samba.  Not going to try building it myself then :-)

Comment 5 Guenther Deschner 2021-11-05 12:55:21 UTC
We always make sure the fix goes upstream first, once that is done I can go ahead and provide a fixed fedora build.

Comment 6 Guenther Deschner 2021-11-05 14:47:54 UTC
Henrique, there will be an update available probably next week. Until then, can you try this build https://koji.fedoraproject.org/koji/taskinfo?taskID=78365613 to check whether winexe is working again for you?

Comment 7 Henrique Martins 2021-11-05 15:42:01 UTC
The winexe that comes with that build runs my simple test as in my bug report.  No more crashes.
Thanks.

Comment 8 Fedora Update System 2021-11-11 00:25:11 UTC
FEDORA-2021-3e0eb1e047 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3e0eb1e047

Comment 9 Fedora Update System 2021-11-11 10:52:04 UTC
FEDORA-2021-12af2614da has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-12af2614da

Comment 10 Fedora Update System 2021-11-11 19:41:52 UTC
FEDORA-2021-3e0eb1e047 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-11-11 19:42:46 UTC
FEDORA-2021-12af2614da has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-12af2614da

Comment 12 Fedora Update System 2021-11-12 12:40:09 UTC
FEDORA-2021-12af2614da has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-12af2614da

Comment 13 Fedora Update System 2021-11-16 15:51:08 UTC
FEDORA-2021-12af2614da has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-12af2614da`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-12af2614da

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-11-19 01:14:46 UTC
FEDORA-2021-12af2614da has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.